<!DOCTYPE html>
<html>
<head>
    <title>Langage coté serveur</title>
    <meta charset='utf-8' />
    <link rel="stylesheet" href="style.css"/>
</head>
<body>
<main>
<h1>Langage coté serveur</h1>

<section>
<h2>Pourquoi avons-nous besoin du langage coté serveur ?</h2>
<p> <img src="langage serveurs.jpg" width="10%"></p>
<p> les sites webs ont besoin de 2 composants pour fonctionner : un client et un web server. le coté client, comme nous l'avons vu
sont dans chacun des web browser ou appareils qu'on utilise pour voir ou interagir avec un site web. tous les fichiers et données associés avec un site web dans un client sont stockés dans un server web.
</p>
<p> Si vous avez acheté un produit en ligne, beaucoup des processus nécessaires pour accomplir une transaction se passe dansle serveur web du site e-commerce. Les sites e-commerce ont besoin d'un compte utilisateur, des inventaires mis à jour, description des produits, la possibilité de recevoir les produits et les informations de la carte de crédit, ainsi qu'un espace pour les acheteurs de revoir les produits qu'ils ont acheté. L'information est stockée dans une grande base de données dans des web servers, loin de l'utilisateur du site web. </p>
<p>dans le but d'afficher les produits sur l'écran, on va avoir besoin d'un <strong>langage de programmation</strong> qui tourne sur le serveur. Un tel langage informatique va s'occuper de créer, lire, mettre à jour, et supprimer des produits de la base de données, qui est là où le produit est stocké. Les langages capable de faire cela sont appelées les langages serveurs.</p>
<h2>le processus d'achat en ligne</h2>
<p>Pour comprendre certaines fonctions que le langage serveur est capable de performer, nous allons regarder de plus près le processus d'achat dans un site en ligne.</p>
</section>

<section>
<h2>Avec quelle langage dois-je commencer ?</h2>
<p>Comme je l'ai mentionné précédemment, la plupart des langages serveurs propose des fonctionnalités similaires et elles sont toutes capables de produire un quasi-identique résultat final. Bien que chaque langage ait ses caprices, nous recommandons de choisir un langage qui paraisse intéressant et le garder plutôt que d'essayer de trouver le "meilleur" premier langage à apprendre. Comme vous commencez à comprendre la logique employé pour un langage serveur web, vous pouvez être capable d'utiliser ces connaissances pour apprendre d'autres langages et d'autres styles pour résoudre les mêmes types de données.</p>
</section>

<section>
<h2>Frameworks</h2>
<p>La plupart des processus réalisés par un serveur web peut être répétitif. Après tout, les applications côté serveur sont souvent designé pour gérer des requêtes similaires de plusieurs milliers d'utilisateurs en même temps. Pour alléger certains fardeaux d'écrire un code unique pour chaque tache que le serveur doit réaliser, les développeurs ont commencé à créer ce qu'on appelle les <strong>les Framework</strong>. Les Frameworks proposent un type de programme qui raccourcit les tâches communes et répétitives. Au lieu de commencer à coder depuis rien, les frameworks permettent de développer des applications plus facilement en raccourcissant le temps de développement, aussi en offrant des standards et des conventions où l'équipe entière peut reprendre.</p>
<p>Les Frameworks sont comme achetés une boîte de différents gâteaux au magasin au lieu de mesurer et de combiner tous les ingrédients individuels nécessaires pour faire le gâteaux.</p>

<ul>
	<li>C# (prononcé C-Sharp) </li>
	<li>Go</li>
	<li>Java</li>
	<li>Node.js (JavaScript)</li>
	<li>Python</li>
	<li>PHP
		<ol>
			<li>Laravel</li>
			<li>Symfony</li>
		</ol>
	</li>
	<li>Ruby</li>	
</ul>
</section>

<section>
<p><cite>"Les probabilités c'est comme le bikini, ça montre beaucoup de choses mais ça cache l'essentiel."</cite> Farid LKHALDOUNI. Architecte, 20ème siècle.</p>
</section>


</main>
</body>
</html>


